<template>
  <b-row v-if="$route.meta.breadcrumb || $route.meta.pageTitle" class="content-header">
    <!-- Content Left -->
    <b-col class="content-header-left" cols="12" md="9">
      <b-row class="breadcrumbs-top">
        <b-col cols="12">
          <!-- <h2 class="content-header-title float-left pr-1 mb-0">
            {{ t($route.meta.pageTitle) }}
          </h2> -->
          <div class="breadcrumb-wrapper mb-05">
            <b-breadcrumb class="breadcrumb-slash">
              <!-- <b-breadcrumb-item to="/">
                <FeatherIcon icon="HomeIcon" size="16" class="align-text-top" />
              </b-breadcrumb-item> -->
              <b-breadcrumb-item
                v-for="item in $route.meta.breadcrumb"
                :key="item.text"
                :active="item.active"
                @click="goToBack($route.meta, item.route)"
                class="font-weight-500"
                v-if="$route.meta.type == 'create' || $route.meta.type == 'edit'"
              >
                {{ t(item.text) }}
              </b-breadcrumb-item>
              <b-breadcrumb-item
                v-for="item in $route.meta.breadcrumb"
                :key="item.text"
                :active="item.active"
                :to="{ name: item.route }"
                v-if="$route.meta.type != 'create' && $route.meta.type != 'edit'"
                class="font-weight-500"
              >
                {{ t(item.text) }}
              </b-breadcrumb-item>
            </b-breadcrumb>
          </div>
        </b-col>
      </b-row>
    </b-col>

    <b-modal
      ref="goBackConfirmBreadcrumbModal"
      id="goBackConfirmBreadcrumbModal"
      size="sm"
      hide-footer
    >
      <div class="mt-1 convert-model">
        <center>
          <IconWarning class="tick-icon align-center"  />
          <h3>Go Back !</h3>
          <p>Are you sure you want to go back? Unsaved data will be lost!</p>
        </center>
        <center class="mt-2">
          <b-button
            class="btn-reset"
            variant="flat-secondary"
            type="button"
            @click="$bvModal.hide('goBackConfirmBreadcrumbModal')"
          >
            No, Stay Here
          </b-button>
          <b-button
            class="btn-submit-edit"
            variant="primary"
            type="submit"
            @click="statusChangeConfirm()"
          >
            Yes, Go Back
          </b-button>
        </center>
      </div>
    </b-modal>

    <!-- Content Right -->
    <!-- <b-col
      class="content-header-right text-md-right d-md-block"
      md="3"
      cols="12"
      v-if="$route.meta.back"
    >
      <b-link :to="{ name: $route.meta.back }">
        <feather-icon icon="ArrowLeftIcon" size="18" class="align-text-top" />
        <span class="menu-title text-truncate">Go Back</span>
      </b-link>
    </b-col> -->
  </b-row>
</template>

<script>
import {
  BBreadcrumb,
  BBreadcrumbItem,
  BRow,
  BCol,
  BDropdown,
  BDropdownItem,
  BButton,
  BModal,
  BLink,
  BImg,
} from "bootstrap-vue";
import Ripple from "vue-ripple-directive";
import { useUtils as useI18nUtils } from "@core/libs/i18n";

export default {
  directives: {
    Ripple,
  },
  components: {
    BBreadcrumb,
    BBreadcrumbItem,
    BRow,
    BCol,
    BDropdown,
    BDropdownItem,
    BButton,
    BLink,
    BImg,
    BModal
  },
  setup() {
    const { t } = useI18nUtils();

    return {
      // i18n
      t,
    };
  },
  data() {
    return {
      routeUrl: "",
    };
  },

  methods: {
    goToBack(route, url) {
      this.routeUrl = url;
      if (route.type == "create" || route.type == "edit") {
        this.$refs["goBackConfirmBreadcrumbModal"].show();
      } else {
        this.$refs["goBackConfirmBreadcrumbModal"].hide();
        this.$router.push({ name: this.routeUrl });
      }
    },

    statusChangeConfirm() {
      this.$refs["goBackConfirmBreadcrumbModal"].hide();
      this.$router.push({ name: this.routeUrl });
      this.routeUrl = "";
    },
  },
};
</script>
